Function
setBitTo
Set the bit with the given index to the given value.
setBitTo(word, index, value)
setBitTo(bitString, pos, bit)
Include Headers
seqan/index.h, seqan/misc/misc_bit_twiddling.h
Parameters

word | The number.
index | The index of the bit in the word. Types: unsigned
value | The value to set the bit to. Types: bool
bitString | The bit string. Types: RankSupportBitString
pos | Position of the bit.
bit | The value of the bit. Remarks: Note that values different from 0 are interpreted as 1.

Return Values
void
Member of
RankSupportBitString
Examples
String<Dna5> genome = "ACGTACGT";
RankSupportBitString<> bitString;
resize(bitString, length(genome));
for (unsigned i = 0; i < length(genome); ++i)
if(genome[i] < Dna5('c'))
setBitTo(bitString, 1);
updateRanks_(bitString);
See Also
clearBit, clearAllBits, isBitSet, setBit
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59